Skip to content

Item Data ​

http
POST /api/v2/stocks-report/products/products

Base URL: https://seller-analytics-api.wildberries.ru · Module: analytics · Section: Stocks Report · Specification doc ↗

Forms a dataset for inventory by items.

You can get data for individual items as well as for the entire report if there are no filters in the query: nmIDs, subjectID, brandName, tagID.

The report data is updated once every 2 hours.

Request limit per one seller account:

TypePeriodLimitIntervalBurst
Personal1 min3 requests20 s3 requests
Service1 min3 requests20 s3 requests
Base with secret1 min3 requests20 s3 requests
Base1 h2 requests30 min1 request

Request body ​

application/json — schema TableItemRequest, required

  • nmIDs integer<int64>[] — List of WB item numbers for filtering
  • subjectID integer<int32> — Subcategory ID
  • brandName string — Brand
  • tagID integer<int64> — Label ID
  • currentPeriod PeriodInv (required)
    • start string (required) — Start date of the period. No later than end. No earlier than 3 months from today
    • end string (required) — End date of the period. No earlier than 3 months from today
  • stockType StockType (required)
  • skipDeletedNm boolean (required) — Skip deleted items
  • orderBy TableOrderBy (required)
    • field TableGroupField (required)
    • mode OrderByMode (required)
  • availabilityFilters string[] (required) — Item availability: - deficient — Low stock - actual — Selling well - balanced — Selling steadily - nonActual — Selling poorly - nonLiquid — Struggling - invalidData — Not calculated
  • limit integer<int64> — Number of groups in the response
  • offset integer<int64> (required) — From which element to start outputting data

Responses ​

CodeDescriptionSchema
200SuccessPostV2StocksReportProductsProductsResponse200
400Bad requestErrorObject400
401Unauthorizedobject
402Payment requiredobject
403Access deniedErrorObject403
429Too many requestsobject

Structure 200:

  • data TableItemResponse
    • items TableItemSt[] — Set of item data
      • nmID integer<int64> — WB item number
      • isDeleted boolean — Is the item deleted
      • subjectName string — Subcategory name
      • name string — Item name
      • vendorCode string — Seller item number
      • brandName string — Brand
      • mainPhoto string — Link to the main photo
      • hasSizes boolean — Does the item have sizes. The item has no size variations when it is represented by '"techSize":"0"', indicating a single, uniform size for the item.
      • metrics object — Item metrics
        • ordersCount integer<int64> — Items ordered
        • ordersSum integer<int64> — Total order value
        • avgOrders number<float64> — Average daily orders
        • avgOrdersByMonth FloatGraphByPeriodItem[] — Average monthly orders
          • start string — Beginning of the month
          • end string — End of the month
          • value number<float64> — Average items ordered
        • buyoutCount integer<int64> — Items purchased
        • buyoutSum integer<int64> — Total purchase value
        • buyoutPercent integer<int64> — Purchase rate
        • stockCount integer<int64> — Current inventory
        • stockSum integer<int64> — Current inventory value
        • saleRate object — Current DSI. Special cases: 1) "hours":-1 — infinite duration 2) "hours":-2 — zero duration 3) "hours":-3 — uncalculated duration
          • days integer<int32> — Number of days
          • hours integer<int32> — Number of hours
        • avgStockTurnover object — Average DSI. Special cases: 1) "hours":-1 — infinite duration 2) "hours":-2 — zero duration 3) "hours":-3 — uncalculated duration
          • days integer<int32> — Number of days
          • hours integer<int32> — Number of hours
        • toClientCount integer<int64> — On the way to user
        • fromClientCount integer<int64> — On the way from user
        • officeMissingTime object — Out-of-stock time. Special cases: 1) "hours":-1 — infinite duration 2) "hours":-2 — zero duration 3) "hours":-3 — uncalculated duration 4) "hours":-4 — absence during the entire period
          • days integer<int32> — Number of days
          • hours integer<int32> — Number of hours
        • lostOrdersCount number<float64> — Lost orders. Special cases: 1. Value less than 0 and is not -2 — the value is not calculated 2. Value is -2 — zero value
        • lostOrdersSum number<float64> — Lost order value. Special cases: 1. Value less than 0 and is not -2 — the value is not calculated 2. Value is -2 — zero value
        • lostBuyoutsCount number<float64> — Lost sales. Special cases: 1. Value less than 0 and is not -2 — the value is not calculated 2. Value is -2 — zero value
        • lostBuyoutsSum number<float64> — Lost sales value. Special cases: 1. Value less than 0 and is not -2 — the value is not calculated 2. Value is -2 — zero value
        • currentPrice object — Current price
          • minPrice integer<int64> — Minimal seller price with seller discount (excluding WB Club discount)
          • maxPrice integer<int64> — Maximal seller price with seller discount (excluding WB Club discount)
        • availability string = deficient | actual | balanced | nonActual | nonLiquid | invalidData — Item availability: - deficient — Low stock - actual — Selling well - balanced — Selling steadily - nonActual — Selling poorly - nonLiquid — Struggling - invalidData — Struggling
    • currency Currency

Structure 400:

  • title string — Error title
  • detail string — Error details
  • requestId string — Unique request ID
  • origin string — Internal WB service ID

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • title string — Error title
  • detail string — Error details
  • requestId string — Unique request ID
  • origin string — Internal WB service ID

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.analytics import Configuration, ApiClient
from wb_api_client.analytics.api import AnalyticsApi

cfg = Configuration(access_token="<your WB JWT>")
api = AnalyticsApi(ApiClient(cfg))

result = api.post_v2_stocks_report_products_products(table_item_request=...)
print(result)
ts
import {
  Configuration,
  AnalyticsApi,
} from "@valeryverkhoturov/wb-api-client/analytics";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new AnalyticsApi(cfg);

const { data } = await api.postV2StocksReportProductsProducts(tableItemRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbanalytics "github.com/ValeryVerkhoturov/wb-api-client-go/analytics"
)

cfg := wbanalytics.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbanalytics.NewAPIClient(cfg)

result, _, err := client.AnalyticsAPI.PostV2StocksReportProductsProducts(context.Background()).TableItemRequest(tableItemRequest).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.analytics.ApiClient;
import io.github.valeryverkhoturov.wbapi.analytics.SecretString;
import io.github.valeryverkhoturov.wbapi.analytics.api.AnalyticsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
AnalyticsApi api = new AnalyticsApi(client);

System.out.println(api.postV2StocksReportProductsProducts(tableItemRequest));
php
use ValeryVerkhoturov\WbApiClient\Analytics\Configuration;
use ValeryVerkhoturov\WbApiClient\Analytics\SecretString;
use ValeryVerkhoturov\WbApiClient\Analytics\Api\AnalyticsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new AnalyticsApi(new Client(), $config);

print_r($api->postV2StocksReportProductsProducts($table_item_request));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый AnalyticsApi(Настройки);

Сообщить(Клиент.PostV2StocksReportProductsProducts(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Analytics.Api;
using ValeryVerkhoturov.WbApiClient.Analytics.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new AnalyticsApi(config);

Console.WriteLine(api.PostV2StocksReportProductsProducts(tableItemRequest));
rust
use wb_api_client::analytics::apis::{configuration::Configuration, analytics_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = analytics_api::post_v2_stocks_report_products_products(&cfg, table_item_request).await;
    println!("{:#?}", result);
}